Update filter

View as MarkdownOpen in Claude
Update a filter. **Request body fields (wrapped in `campaign` object):** - `name` (string, required) - Human-readable campaign name. - `account_id` (string, required) - Target account ID. - `status` (string, optional) - `DRAFT` | `RUN` | `PAUSE` | `DONE`. Defaults to `DRAFT`. - `seats` (array of strings, required) - Seat IDs to run this campaign. - `schedule` (object, required) - Day-of-week schedule. Each day key maps to `[enabled (bool), start_hour (int), end_hour (int)]`. - `timezone` (integer, optional) - UTC offset in minutes (e.g. `-300` = UTC-5). - `campaign_id` (string, optional) - Supply to create with a specific ID; omit to auto-generate.

Authentication

X-API-KEYstring
API Key authentication via header

Path parameters

account_idstringRequired
campaign_idstringRequired
filter_idstringRequired

Request

This endpoint expects an object.
statusstringRequired

Response

This endpoint returns an object.
successboolean
filterobject

Errors